%global scl_name_prefix rh-
%global scl_name_base dotnet
%global scl_name_version 60

%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}
%scl_package %scl

%global nfsmoutnable 1

# For testing this RPM by itself.
%global install_scl 1

# Do not produce empty debuginfo package
%global debug_package %{nil}

Name: %scl_name
Version: 6.0
Release: 1%{?dist}
Summary: Package that installs %scl
License: MIT

BuildRequires:  scl-utils-build
%if 0%{?install_scl}
Requires:       %{scl_prefix}dotnet
%endif

%description
This is the main package for %scl Software Collection.


%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T

%build
# Nothing to do

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}\${HOME:+:\${HOME}/.dotnet/tools}"
export CPATH="%{_includedir}\${CPATH:+:\${CPATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
export PYTHONPATH=%{_scl_root}%{python_sitelib}\${PYTHONPATH:+:\${PYTHONPATH}}
export XDG_DATA_DIRS=%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}

# Set DOTNET_ROOT to fix apphost lookup
export DOTNET_ROOT="%{_libdir}/dotnet"

EOF


%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config


%changelog
* Thu Oct 21 2021 Omair Majid <omajid@redhat.com> - 6.0-1
- Initial port to .NET 6
- Related: RHBZ#2016419

* Tue Dec 01 2020 Omair Majid <omajid@redhat.com> - 5.0-2
- Rely on the .NET build itself to have disabled telemetry by default
- Resolves: RHBZ#1879711

* Tue Dec 01 2020 Omair Majid <omajid@redhat.com> - 5.0-2
- Rely on the .NET build itself to have disabled telemetry by default
- Resolves: RHBZ#1879711

* Fri Sep 18 2020 Omair Majid <omajid@redhat.com> - 5.0-1
- Update for .NET 5.0
- Resolves: RHBZ#1879711

* Sun Dec 1 2019 Omair Majid <omajid@redhat.com> - 3.1-3
- Fix escaping in DOTNET_BUNDLE_EXTRACT_BASE_DIR
- Resolves: RHBZ#1767056

* Sun Dec 1 2019 Omair Majid <omajid@redhat.com> - 3.1-2
- Set DOTNET_BUNDLE_EXTRACT_BASE_DIR
- Resolves: RHBZ#1767056

* Mon Nov 18 2019 Omair Majid <omajid@redhat.com> - 3.1-1
- New spec file based on .NET Core 3.0
- Resolves: RHBZ#1767056
